List Leaderboard Entries

A user that competes is considered a leaderboard entry. Retrieving leaderboard entries returns a paginated list of twenty leaderboard entry objects at maximum.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Getting leaderboard entry url
In order to make a leaderboard entries request you will need to acquire a leaderboard entries url and an access token. A leaderboard entries url can be retrieved using two of the following ways.

  1. From the response of the leaderboard detail request mentioned above, under the property entries_url. This url, when used in a GET request will always return the first page of leaderboard entries.
  2. Every leaderboard entries result will contain properties next and previous. These are optional urls that can be used in conjunction with your access token to retrieve more leaderboard entries.

Working with leaderboard entry url
Once a leaderboard entries url is acquired, you can use it to retrieve sequential pages using the offset parameter. The offset parameter signifies an index from which you would like to receive results.

GET https://cf-blast.livelikecdn.com/api/v1/leaderboards/{"leaderboard id"}/entries?offset={"start index"}
Path Params
string
required

Leaderboard Id

Query Params
profile_id
array of strings

Query entries for the given Profile IDs. Multiple parameters can be provided.

profile_id
view_id
array of strings

Query entries for the give Leaderboard View ID. Multiple parameters can be provided.

view_id
int32
Defaults to 20

The number of entries per page. Default is 20, max is 100.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json